#!/bin/sh

set -e

[ "$(id -u)" -ne 0 ] && echo 'This script must be run as root' >&2 && exit 1

kubectl_stable_version=$(curl -L -s https://dl.k8s.io/release/stable.txt)

echo "Downloading kubectl $kubectl_stable_version"
curl -L "https://dl.k8s.io/release/$kubectl_stable_version/bin/linux/amd64/kubectl" -o /tmp/kubectl
curl -L "https://dl.k8s.io/release/$kubectl_stable_version/bin/linux/amd64/kubectl.sha256" -o /tmp/kubectl.sha256

echo "$(cat /tmp/kubectl.sha256) /tmp/kubectl" | sha256sum --check

echo "Installing kubectl to /usr/local/bin/kubectl"
sudo install -o root -g root -m 755 /tmp/kubectl /usr/local/bin/kubectl

rm -f /tmp/kubectl /tmp/kubectl.sha256
